#Based on fedora's spec

%global pypi_name aiosqlite

Name:           python-%{pypi_name}
Version:        0.20.0
Release:        %mkrel 1
Summary:        Asyncio bridge to the standard SQLite3 module
Group:          Development/Python
License:        MIT
URL:            https://github.com/jreese/aiosqlite
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
aiosqlite AsyncIO bridge to the standard SQLite3 module for Python 3.5+.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
aiosqlite AsyncIO bridge to the standard SQLite3 module for Python 3.5+.

%generate_buildrequires
%pyproject_buildrequires -r

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{mgaver}>=10
%{py3_test_envvars} %{python3} -m %{pypi_name}.tests
%else
export PATH=%{buildroot}/%{_bindir}:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/games:/usr/games:/usr/local/sbin
export PYTHONPATH=%{buildroot}/%{_libdir}/python3.13/site-packages:%{buildroot}/usr/lib/python3.13/site-packages
export PYTHONDONTWRITEBYTECODE=1
export PYTEST_ADDOPTS=' --ignore=%{_builddir}/%{name}-%{version}-build/%{pypi_name}-%{version}/.pyproject-builddir'
export PYTEST_XDIST_AUTO_NUM_WORKERS=4
/usr/bin/python3 -m aiosqlite.tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst


%changelog
* Thu Apr 03 2025 katnatek <katnatek> 0.20.0-1.mga10
+ Revision: 2172891
- imported package python-aiosqlite

